Bug 111241 - missing dependencies in yum
missing dependencies in yum
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: yum (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 04:16 EST by Felipe Alfaro Solana
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-13 16:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2003-12-01 04:16:33 EST
Description of problem: 
yum-2.0.4-3 does not depend on rpm-python and libxml2-python. That 
is, yum doesn't require rpm-python and libxml2-python to get 
installed. 
 
Version-Release number of selected component (if applicable): 
yum-2.0.4-3 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. rpm -e rpm-python 
2. rpm -e libxml2-python 
3. rpm -i yum-2.0.4-3.i386.rpm 
4. yum check-update 
 
This will fail complaining that module "rpm" or module "libxml2" is 
missing. 
   
Actual results: 
yum-2.0.4-3 has missing dependencies. 
 
Expected results: 
yum-2.0.4-3 should depend on both rpm-python and libxml2-python. 
 
Additional info:
Comment 1 Miloslav Trmac 2003-12-01 07:56:10 EST
Triage->Easyfix
Comment 2 Jeff Johnson 2003-12-13 16:43:23 EST
Dependencies on rpm are knd of pointless.

libxml2-python might be useful, punted upstream.
Comment 3 Seth Vidal 2003-12-13 17:52:05 EST
ok
Would red hat stop changing my specfile? :)

from the yum 2.0.X specfile in cvs:
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python


so who made the change?

Note You need to log in before you can comment on or make changes to this bug.